let fs = require('fs');
let path = require('path');
let project = new Project('TooLow');
project.version = '1.0';
project.addDefine('HXCPP_API_LEVEL=400');
project.addDefine('HXCPP_DEBUG', 'Debug');
project.addDefine('HXCPP_GC_GENERATIONAL');
project.targetOptions = {"html5":{"disableContextMenu":true},"flash":{},"android":{},"android_native":{},"ios":{},"xboxOne":{},"playStation4":{},"switch":{},"xboxSeriesXS":{},"playStation5":{},"stadia":{}};
project.setDebugDir('build/osx');
await project.addProject('/Users/maxim/Projects/git/Kha/Kinc');
await project.addProject('build/osx-build');
await project.addProject('/Users/maxim/Projects/git/Kha/Backends/Kinc-hxcpp');
if (fs.existsSync(path.join('/Users/maxim/Projects/Khm/khm', 'kfile.js')) || fs.existsSync(path.join('/Users/maxim/Projects/Khm/khm', 'kincfile.js')) || fs.existsSync(path.join('/Users/maxim/Projects/Khm/khm', 'korefile.js'))) {
	await project.addProject('/Users/maxim/Projects/Khm/khm');
}
if (fs.existsSync(path.join('/Users/maxim/haxe/haxelib/haxe-phaser/git', 'kfile.js')) || fs.existsSync(path.join('/Users/maxim/haxe/haxelib/haxe-phaser/git', 'kincfile.js')) || fs.existsSync(path.join('/Users/maxim/haxe/haxelib/haxe-phaser/git', 'korefile.js'))) {
	await project.addProject('/Users/maxim/haxe/haxelib/haxe-phaser/git');
}
project.flatten();
resolve(project);
