package khm;

/**
	List of texture atlases.

	Every variable inside atlas is object of type `{frame:String, texture:String}`,
	that can be accessed as `Res.atlas.frameName.frame ` and `Res.atlas.frameName.texture`.

	Other reserved fields is `Res.atlas._id` (texture) and `Res.atlas._values` (array with all atlas frames)
**/
#if !macro
@:build(khm.internal.AssetsBuilder.buildRes())
class Res {}
#end
