package khm.audio;

#if kha
import kha.arrays.Float32Array;
#else
import haxe.io.Float32Array;
#end

@:allow(khm.audio.AudioChannel)
class AudioEffect {
	public var mute(get, set):Bool;
	public var parent(get, null):AudioChannel;

	var _mute:Bool;
	var _parent:AudioChannel;

	public function new() {
		_mute = false;
	}

	public function process(samples:Int, buffer:Float32Array, sampleRate:Int) {}

	function get_mute():Bool {
		Audio.mutexLock();
		var v = _mute;
		Audio.mutexUnlock();

		return v;
	}

	function set_mute(v:Bool):Bool {
		Audio.mutexLock();
		_mute = v;
		Audio.mutexUnlock();

		return v;
	}

	function get_parent():AudioChannel {
		Audio.mutexLock();
		var v = _parent;
		Audio.mutexUnlock();

		return v;
	}
}
