package khm.utils;

#if js
import js.Browser.document;
import js.Browser.window;
#end

class Clipboard {
	public static function copy(text:String):Void {
		#if js
		if (document.queryCommandSupported == null) return;
		final focusEl = document.activeElement;
		final textarea = document.createTextAreaElement();
		textarea.textContent = text;
		// Prevent scrolling to bottom of page in Microsoft Edge.
		textarea.style.position = "fixed";
		document.body.appendChild(textarea);
		textarea.select();
		try {
			// Security exception may be thrown by some browsers.
			document.execCommand("copy");
		}
		document.body.removeChild(textarea);
		focusEl.focus();
		#end
	}
}
