package khm.verlet;

import khm.math.Vector2;
import khm.verlet.Body.BodyOptions;

class Rectangle extends Body {
	public function new(world:World, opts:BodyOptions) {
		super(world, opts);
	}

	public var topLeftDot(get, never):Dot;

	inline function get_topLeftDot():Dot {
		return dots[0];
	}

	public var topRightDot(get, never):Dot;

	inline function get_topRightDot():Dot {
		return dots[1];
	}

	public var bottomRightDot(get, never):Dot;

	inline function get_bottomRightDot():Dot {
		return dots[2];
	}

	public var bottomLeftDot(get, never):Dot;

	inline function get_bottomLeftDot():Dot {
		return dots[3];
	}
}
