package game;

import khm.IGameObject;
import khm.Lazyr.*;
import khm.Lazyr;
import khm.LazyrTools;
import khm.LazyrTools;
import khm.MathLib;
import khm.Res.Res;
import khm.Res.res;
import khm.ResItem;
import khm.Scene;

class EndScreen extends Scene {
	final tools:LazyrTools;

	public function new() {
		super();
		tools = new LazyrTools(this);
		trace("end");

		final shadow = tools.addShadow(res.white_shadow, {
			alpha: 1,
		});

		final textC = addContainer({
			onResize: sprite -> {
				posContainer(sprite, {
					portrait: {
						x: 0.5,
						y: 0.5,
						w: 0.8,
						h: 0.4
					},
					landscape: {
						x: 0.5,
						y: 0.5,
						w: 0.4,
						h: 0.4
					},
				});
			}
		});
		final text = textC.addText({
			text: "Конец демо.\nСпасибо за игру !",
			style: {
				color: Black,
				fontSize: 100
			},
		});
		text.alpha = 0;
		textC.shrink();
		text.slideInAnimY(30);
	}
}
