package game;

import game.Elevator;
import game.TileButton;
import khm.Container;
import khm.utils.macro.EnumAbstractUtils;

/** State of tile pushed out of wall **/
enum abstract TileMoveState(Int) {
	var Active;
	var Activation;
	var Deativation;
	var Inactive;

	public function toString():String {
		return EnumAbstractUtils.toString(abstract);
	}
}

typedef TileState = {
	var ?collide:Bool;
	var ?selectionOutline:Container;
	var ?tileButton:TileButton;
	var ?movingBlock:MovingBlock;
	var ?jumpPad:JumpPad;
	var ?elevator:Elevator;
}
