package khm;

/**
	Same as `haxe.PosInfos`, except `?pos:DebugPosInfos` args will not be generated outside of `debug` mode.
**/
#if (debug || debug_pos)
typedef DebugPosInfos = haxe.PosInfos;
#else
typedef DebugPosInfos = {
	var fileName:String;
	var lineNumber:Int;
	var className:String;
	var methodName:String;
	var ?customParams:Array<Dynamic>;
}
#end
