package khm.audio.dsp;

class AllPassFilter {
	public var feedback:Float;

	var buffer:FloatRingBuffer;

	public function new(length:Int, feedback = 0.0) {
		this.feedback = feedback;
		buffer = new FloatRingBuffer(length);
	}

	public function process(input:Float):Float {
		var delayed = buffer.read();
		var output = -input + delayed;
		buffer.insert(input + delayed * feedback);

		return output;
	}
}
