package khm.ui;

class Spacer extends Widget {
	public function new(flexFactor = 1.0, ?pos:DebugPosInfos) {
		super();
		this.setPosInfos(pos);
		this.flexFactor = flexFactor;
	}

	override function build():Widget {
		final isRow = parent is Row;
		if (isRow) width = context.maxW;
		else height = context.maxH;
		return super.build();
	}
}
