package game;

import khm.LazyrTools;
import khm.Res.res;
import khm.Res;
import khm.Scene;

class GameUiScene extends Scene {
	public final selectionOutline:ScreenOutline;
	public final cursor:Cursor;

	final tools:LazyrTools;

	public function new() {
		super();
		tools = new LazyrTools(this);
		selectionOutline = new ScreenOutline(this);
		add(selectionOutline);
		selectionOutline.alpha = 0;

		cursor = new Cursor(this);
		cursor.alpha = 0.75;
		add(cursor);
	}

	public function flashScreen():Void {
		final shadow = tools.addShadow(res.white_shadow);
		shadow.alpha = 0;
		shadow.opacityAnim(0.5, 200);
		shadow.hideAnim(200, 200, () -> {
			shadow.off();
		});
	}
}
