package game;

import khm.Container;
import khm.Res.res;
import khm.Res;
import khm.Scene;
import khm.Sprite;

class ScreenOutline extends Container {
	public function new(scene:Scene) {
		super();
		final redOutlineC = addContainer();
		redOutlineC.setSize(1, 1);
		final bg_grey = redOutlineC.addSprite(res.screen_outline, {
			onResize: sprite -> {
				final min = Math.min(scene.width, scene.height);
				final defScale = min / 3 / 220;
				sprite.scale = defScale * 3;
				sprite.x = scene.width / 2;
				sprite.y = 0 + sprite.displayWidth / 2;
				sprite.angle = 180;
				sprite.displayWidth = scene.width;
			},
		});
		final bg_grey2 = redOutlineC.addSprite(res.screen_outline, {
			onResize: sprite -> {
				final min = Math.min(scene.width, scene.height);
				final defScale = min / 3 / 220;
				sprite.scale = defScale * 3;
				sprite.x = scene.width / 2;
				sprite.y = scene.height - sprite.displayWidth / 2;
				sprite.angle = 0;
				sprite.displayWidth = scene.width;
			},
		});
		final bg_grey3 = redOutlineC.addSprite(res.screen_outline, {
			onResize: sprite -> {
				final min = Math.min(scene.width, scene.height);
				final defScale = min / 3 / 220;
				sprite.scale = defScale * 3;
				sprite.x = 0 + sprite.displayWidth / 2;
				sprite.y = scene.height / 2;
				sprite.angle = 90;
				sprite.displayWidth = scene.height;
			},
		});
		final bg_grey4 = redOutlineC.addSprite(res.screen_outline, {
			onResize: sprite -> {
				final min = Math.min(scene.width, scene.height);
				final defScale = min / 3 / 220;
				sprite.scale = defScale * 3;
				sprite.x = scene.width - sprite.displayWidth / 2;
				sprite.y = scene.height / 2;
				sprite.angle = -90;
				sprite.displayWidth = scene.height;
			},
		});
	}
}
